Package org.eclipse.microprofile.rest.client.tck.providers

# Class TLAsyncInvocationInterceptorFactory

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.TLAsyncInvocationInterceptorFactory

All Implemented Interfaces:
  `AsyncInvocationInterceptorFactory`

public class TLAsyncInvocationInterceptorFactory extends Object implements AsyncInvocationInterceptorFactory

## Constructor Summary

Constructors
Constructor
Description
`TLAsyncInvocationInterceptorFactory(Integer initialTlInt)`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getData()`
`static Integer`
`getTlInt()`
`AsyncInvocationInterceptor`
`newInterceptor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TLAsyncInvocationInterceptorFactory

public TLAsyncInvocationInterceptorFactory(Integer initialTlInt)

## Method Details

### getTlInt

public static Integer getTlInt()

### getData

public Map<String,Object> getData()

### newInterceptor

public AsyncInvocationInterceptor newInterceptor()

Specified by:
  `newInterceptor` in interface `AsyncInvocationInterceptorFactory`